summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-01-09 16:56:50 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:20:57 -0600
commitf7e948b0a753b19022740ec9ac8bd4b95e306bbc (patch)
tree860cfae526b6230cdbc3d5a375c142428dbf7433 /graphics
parent5ce0b4c39a02edb7f34bc0c6f2dc644886946eed (diff)
downloadslackbuilds-f7e948b0a753b19022740ec9ac8bd4b95e306bbc.tar.gz
slackbuilds-f7e948b0a753b19022740ec9ac8bd4b95e306bbc.tar.xz
graphics/fim: Added (customizable and scriptable image viewer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/fim/README7
-rw-r--r--graphics/fim/fim.SlackBuild111
-rw-r--r--graphics/fim/fim.info10
-rw-r--r--graphics/fim/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/graphics/fim/README b/graphics/fim/README
new file mode 100644
index 0000000000..d0e22c1c09
--- /dev/null
+++ b/graphics/fim/README
@@ -0,0 +1,7 @@
+FIM (Fbi IMproved) is a highly customizable and scriptable image viewer
+targeted at the users who are comfortable with software like the Vim
+text editor or the Mutt mail user agent. FIM it aims to be a swiss army
+knife for viewing images.
+
+It is based on the Fbi image viewer (by Gerd Hoffmann), and works
+primarily in the Linux frame buffer console.
diff --git a/graphics/fim/fim.SlackBuild b/graphics/fim/fim.SlackBuild
new file mode 100644
index 0000000000..c2588436eb
--- /dev/null
+++ b/graphics/fim/fim.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for fim
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fim
+VERSION=${VERSION:-0.4_rc0}
+SRCVERSION=$(echo $VERSION | tr _ -)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING NEWS THANKS VERSION \
+ doc/FIM.TXT \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/graphics/fim/fim.info b/graphics/fim/fim.info
new file mode 100644
index 0000000000..5bfc9bd8c9
--- /dev/null
+++ b/graphics/fim/fim.info
@@ -0,0 +1,10 @@
+PRGNAM="fim"
+VERSION="0.4"
+HOMEPAGE="http://www.autistici.org/dezperado/fim/"
+DOWNLOAD="http://www.autistici.org/dezperado/fim/fim-0.4-rc0.tar.gz"
+MD5SUM="2758790b16764960eab7c2796ac7efc3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/graphics/fim/slack-desc b/graphics/fim/slack-desc
new file mode 100644
index 0000000000..d73b6b26cb
--- /dev/null
+++ b/graphics/fim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fim: fim (highly customizable and scriptable image viewer)
+fim:
+fim: It is based on the Fbi image viewer (by Gerd Hoffmann), and works
+fim: primarily in the Linux frame buffer console.
+fim:
+fim:
+fim: Homepage: http://www.autistici.org/dezperado/fim
+fim:
+fim:
+fim:
+fim: